
GammaLib - Feature #604

Allow fitting for point source positions in Fermi-LAT analysis

11/30/2012 11:47 AM - Knödlseder Jürgen

Status: Closed Start date:  

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

So that, the positions of point source cannot be fitted in the Fermi-LAT analysis. Fitting should be enabled.

There are two approaches, a fast and easy (but less precise approach) and an exact but slower approach.

The PSF for point sources are precomputed using the GLATMeanPsf class. Formally, the content of GLATMeanPsf depends on the

precise position of the source, but if the position is only changed slightly, the content should not really change. We could this adopt

the response class so that the actual position and the position for which GLATMeanPsf was computed could differ. This is the fast

and easy way.

The exact way would be to recompute the content of GLATMeanPsf each time the position is changed. This takes some computing

time, but maybe it's not so expensive at the end. At least, this method would be exact.

We could test both and compare the speeds and precisions.

Related issues:

Related to ctools - Bug # 2183: All pixels have the same TS value for Fermi-L... Closed 08/26/2017

History

#1 - 11/30/2012 11:57 AM - Knödlseder Jürgen

- Subject changed from Allow fitting for point sources in Fermi-LAT analysis to Allow fitting for point source positions in Fermi-LAT analysis

- Description updated

#2 - 06/21/2016 10:18 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#3 - 03/03/2017 10:15 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#4 - 06/06/2017 10:24 PM - Knödlseder Jürgen

- Target version deleted (1.3.0)

#5 - 10/19/2017 04:49 PM - Knödlseder Jürgen

- Related to Bug #2183: All pixels have the same TS value for Fermi-LAT analysis using cttsmap added

#6 - 10/19/2017 04:50 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.5.0

- % Done changed from 0 to 100

This is at the end a duplication of #2183. I therefore close this issue since #2183 is about to be closed.
